// SPDX-License-Identifier: MPL-2.0
#include "cpu/serial.h"
#include "cpu/asm.h"
sh_bool disable_serial_port=SH_FALSE;
void sh_serial_load_serial_port_setting(sh_bool is_disabled) {
  disable_serial_port=is_disabled;
  return;
}
void sh_serial_send_byte(sh_uint8 b) {
  if (disable_serial_port) return;
  while (!(sh_asm_inb(SH_SERIAL_PORT_COM1+5) & 0x20));
  sh_asm_outb(SH_SERIAL_PORT_COM1,b);
  return;
}
